Package com.oracle.truffle.api.nodes

## Interface NodeVisitor

    public interface NodeVisitor

Visitor for trees of nodes.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `visit​(Node node)` This visitor method is called for every node in the tree.

### Method Detail

#### visit

    boolean visit​(Node node)

This visitor method is called for every node in the tree. Its return value determines if the children of this node should be excluded in the iteration.

Parameters:
  `node` - the node that is currently visited
Returns:
  `true` if the children should be visited too, `false` otherwise